package 
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	[SWF(width = "400", height = "300", backgroundColor = "0x313131", frameRate="60")]
	public class Main extends Sprite 
	{
		[Embed(source = '../bin/assets/active.png')]
		public var logo:Class;
		[Embed(source = '../bin/assets/arrows.png')]
		public var arrows:Class;
		
		private var _logo:Bitmap;
		private var _arrows:Sprite;
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			setStage();
			createObjects();
			positionLogo();
			positionArrows();
		}
		
		private function createObjects():void 
		{	
			_logo = new logo() as Bitmap;
			addChild(_logo);
			
			_arrows = new Sprite();
			_arrows.buttonMode = true;
			_arrows.addChild(new arrows() as Bitmap);
			addChild(_arrows);
			_arrows.addEventListener(MouseEvent.MOUSE_DOWN, onMouseDown);
			_arrows.addEventListener(MouseEvent.MOUSE_UP, onMouseUp);
		}
		
		private function positionLogo():void 
		{
			_logo.x = stage.stageWidth * 0.5 - _logo.width * 0.5;
			_logo.y = stage.stageHeight * 0.5 - _logo.height * 0.5;
		}
		
		private function positionArrows():void 
		{
			_arrows.x = stage.stageWidth - _arrows.width - 30;
			_arrows.y = stage.stageHeight - _arrows.height - 30;
		}
		
		private function onMouseDown(e:MouseEvent):void 
		{
			_arrows.startDrag();
			addEventListener(Event.ENTER_FRAME, onEnterFrame);
		} 
		
		private function onMouseUp(e:MouseEvent):void 
		{
			_arrows.stopDrag();
			_arrows.x = stage.stageWidth - _arrows.width - 30;
			_arrows.y = stage.stageHeight - _arrows.height - 30;
			removeEventListener(Event.ENTER_FRAME, onEnterFrame);
		}
		
		
		private function onEnterFrame(e:Event):void 
		{
			
		}
		
		private function setStage():void 
		{
			stage.align = "TL";
			stage.scaleMode = "noScale";
			stage.addEventListener(Event.RESIZE, onStageResize);
		}
		
		private function onStageResize(e:Event):void 
		{
			positionLogo();
		}
	}
	
}